Subject: Re: [PATCH 2/2] sh_eth: check TSU registers ioremap() error

From: Sergei Shtylyov <[email-masked]>
Date: Wed, 20 Mar 2013 22:16:37 +0300

On 03/20/2013 10:04 PM, Sergei Shtylyov wrote:

>
>>
>>> One must check the result of ioremap() -- in this case it prevents 
>>> potential
>>> kernel oops when initializing TSU registers further on...
>>>
>>> Signed-off-by: Sergei Shtylyov <[email-masked]>
>> Applied and queued up for -stable.
>
>    Thanks. However, do you really think it's needed in stable? It's 
> only error path, after all...

    I forgot to add "unlikely" to the "error path". I usually don't mark 
such patches for stable, when I'm not in a hurry. :-)

WBR, Sergei